## NAME

r.clump - Recategorizes data in a raster map layer by grouping cells that form physically discrete areas into unique categories.
(GRASS Raster Program)

## SYNOPSIS

r.clump
r.clump help
r.clump [-q] input=name output=name [TITLE="string"]

## DESCRIPTION

r.clump finds all areas of contiguous cell category values in the input raster map layer name. It assigns a unique category value to each such area ("clump") in the resulting output raster map layer name. If the user does not provide input and output map layer names on the command line, the program will prompt the user for these names, using the standard parser interface (see manual entry for parser). Category distinctions in the input raster map layer are preserved. This means that if distinct category values are adjacent, they will NOT be clumped together. (The user can run r.reclass prior to r.clump to recategorize cells and reassign cell category values.)

### Flag:

-q
  Run quietly, without printing messages on program progress to standard output.

### Parameters:

input=name
  Name of an existing raster map layer being used for input.
output=name
  Name of new raster map layer to contain program output.
TITLE="string"
  Optional TITLE for output raster map layer, in quotes. If the user fails to assign a TITLE for the output map layer, none will be assigned it.

## ALGORITHM

r.clump moves a 2x2 matrix over the input raster map layer. The lower right-hand corner of the matrix is grouped with the cells above it, or to the left of it. (Diagonal cells are not considered.)

## NOTES

r.clump works properly with raster map layers that contain only "fat" areas (more than a single cell in width). Linear elements (lines that are a single cell wide) may or may not be clumped together depending on the direction of the line -- horizontal and vertical lines of cells are considered to be contiguous, but diagonal lines of cells are not considered to be contiguous and are broken up into separate clumps.

A random color table and other support files are generated for the output raster map layer.

## SEE ALSO

r.average
r.buffer
r.combine
r.grow
r.infer
r.mapcalc
r.mfilter
r.neighbors
r.poly
r.reclass
r.support
r.weight
parser

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:34 $